select dep.transdate,dep.date,Income,Outcome,Income-Outcome as Profit
from
(
	select
		strftime('%Y', CHECKINGACCOUNT_V1.TRANSDATE) as YEAR,
		strftime('%m', CHECKINGACCOUNT_V1.TRANSDATE) as MONTH,
		strftime('%m-%Y', CHECKINGACCOUNT_V1.TRANSDATE) as DATE,
		CHECKINGACCOUNT_V1.TRANSDATE,
		sum(TRANSAMOUNT) as Income
	from
		CHECKINGACCOUNT_V1
		join
			ACCOUNTLIST_V1 on CHECKINGACCOUNT_V1.ACCOUNTID=ACCOUNTLIST_V1.ACCOUNTID
		join
			PAYEE_V1 on PAYEE_V1.PAYEEID=CHECKINGACCOUNT_V1.PAYEEID
	where TRANSCODE="Deposit"
	group by year ,month
) as dep

join
(
	select
		strftime('%Y', CHECKINGACCOUNT_V1.TRANSDATE) as YEARo,
		strftime('%m', CHECKINGACCOUNT_V1.TRANSDATE) as MONTHo,
		strftime('%m-%Y', CHECKINGACCOUNT_V1.TRANSDATE) as DATEo,
		sum(TRANSAMOUNT) as Outcome
	from
		CHECKINGACCOUNT_V1
		join
			ACCOUNTLIST_V1 on CHECKINGACCOUNT_V1.ACCOUNTID=ACCOUNTLIST_V1.ACCOUNTID
		join
			PAYEE_V1 on PAYEE_V1.PAYEEID=CHECKINGACCOUNT_V1.PAYEEID
	where TRANSCODE="Withdrawal"
	group by yearo,montho
) as inc

on dep.year=inc.yearo and dep.month=inc.montho

WHERE (dep.transdate >= date('now', 'start of YEAR', '-1 year') and dep.transdate < date('now', 'start of month'))

order by year,month;